### Method

# Soup AuthDomain add_path

#### Declaration [src]

    void
    soup_auth_domain_add_path (
      SoupAuthDomain* domain,
      const char* path
    )

#### Description [src]

Adds `path` to `domain`.

Requests under `path` on `domain`‘s server will require authentication (unless overridden by `soup_auth_domain_remove_path()` or `soup_auth_domain_set_filter()`).

#### Parameters

`path` | `const char*`
| The path to add to `domain`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.